{ ... }:
{
  nas-samba = {
    enable = true;
    hostsAllow = "10.0.1.";
    enableTimeMachine = true;
    timeMachinePath = "/media/nas/main/timemachine";

    shares = {
      "3d_printer" = {
        public = true;
        sharePath = "/media/nas/main/3d_printer";
      };
      Backup = {
        public = true;
        sharePath = "/media/nas/main/backup";
      };
      Documents = {
        public = true;
        sharePath = "/media/nas/main/documents";
      };
      isos = {
        public = true;
        sharePath = "/media/nas/main/isos";
      };
      TimeMachine = {
        public = false;
        sharePath = "/media/nas/main/timemachine";
        enableTimeMachine = true;
        timeMachineMaxSize = "1T";
      };
      app_data = {
        public = true;
        sharePath = "/media/nas/main/ssd_app_data";
      };
      nix-config = {
        public = true;
        sharePath = "/home/matt/nix-config";
      };
    };
  };
}
